com.sun.jna

## Class Platform

- java.lang.Object
- - com.sun.jna.Platform

    public final class Platform
    extends java.lang.Object

Provide simplified platform information.

### Field Summary

Fields
`static int` `AIX`
`static int` `ANDROID`
`static java.lang.String` `ARCH` Current platform architecture.
`static java.lang.String` `C_LIBRARY_NAME` Canonical name of this platform's C runtime library.
`static int` `FREEBSD`
`static int` `GNU`
`static boolean` `HAS_AWT` Whether this platform provides the AWT Component class; also false if running headless.
`static boolean` `HAS_BUFFERS` Whether this platform provides NIO Buffers.
`static boolean` `HAS_DLL_CALLBACKS` Whether in-DLL callbacks are supported.
`static boolean` `HAS_JAWT` Whether this platform supports the JAWT library.
`static int` `KFREEBSD`
`static int` `LINUX`
`static int` `MAC`
`static java.lang.String` `MATH_LIBRARY_NAME` Canonical name of this platform's math library.
`static int` `NETBSD`
`static int` `OPENBSD`
`static java.lang.String` `RESOURCE_PREFIX` Canonical resource prefix for the current platform.
`static boolean` `RO_FIELDS` Whether read-only (final) fields within Structures are supported.
`static int` `SOLARIS`
`static int` `UNSPECIFIED`
`static int` `WINDOWS`
`static int` `WINDOWSCE`

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`(package private) static java.lang.String` `getCanonicalArchitecture(java.lang.String arch, boolean softfloat)`
`(package private) static java.lang.String` `getNativeLibraryResourcePrefix()` Generate a canonical String prefix based on the current OS type/arch/name.
`(package private) static java.lang.String` `getNativeLibraryResourcePrefix(int osType, java.lang.String arch, java.lang.String name)` Generate a canonical String prefix based on the given OS type/arch/name.
`(package private) static java.lang.String` `getNativeLibraryResourcePrefix(int osType, java.lang.String arch, java.lang.String name, boolean isSoftfloat)`
`static int` `getOSType()`
`static boolean` `hasRuntimeExec()`
`static boolean` `is64Bit()`
`static boolean` `isAix()` Deprecated.
`static boolean` `isAIX()`
`static boolean` `isAndroid()`
`static boolean` `isARM()`
`static boolean` `isFreeBSD()`
`static boolean` `isGNU()`
`static boolean` `isIntel()`
`static boolean` `iskFreeBSD()`
`static boolean` `isLinux()`
`static boolean` `isMac()`
`static boolean` `isNetBSD()`
`static boolean` `isOpenBSD()`
`static boolean` `isPPC()`
`static boolean` `isSolaris()`
`static boolean` `isSPARC()`
`static boolean` `isWindows()` Returns true for any windows variant.
`static boolean` `isWindowsCE()`
`static boolean` `isX11()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNSPECIFIED

    public static final int UNSPECIFIED

See Also:
  Constant Field Values

#### MAC

    public static final int MAC

See Also:
  Constant Field Values

#### LINUX

    public static final int LINUX

See Also:
  Constant Field Values

#### WINDOWS

    public static final int WINDOWS

See Also:
  Constant Field Values

#### SOLARIS

    public static final int SOLARIS

See Also:
  Constant Field Values

#### FREEBSD

    public static final int FREEBSD

See Also:
  Constant Field Values

#### OPENBSD

    public static final int OPENBSD

See Also:
  Constant Field Values

#### WINDOWSCE

    public static final int WINDOWSCE

See Also:
  Constant Field Values

#### AIX

    public static final int AIX

See Also:
  Constant Field Values

#### ANDROID

    public static final int ANDROID

See Also:
  Constant Field Values

#### GNU

    public static final int GNU

See Also:
  Constant Field Values

#### KFREEBSD

    public static final int KFREEBSD

See Also:
  Constant Field Values

#### NETBSD

    public static final int NETBSD

See Also:
  Constant Field Values

#### RO_FIELDS

    public static final boolean RO_FIELDS

Whether read-only (final) fields within Structures are supported.

#### HAS_BUFFERS

    public static final boolean HAS_BUFFERS

Whether this platform provides NIO Buffers.

#### HAS_AWT

    public static final boolean HAS_AWT

Whether this platform provides the AWT Component class; also false if running headless.

#### HAS_JAWT

    public static final boolean HAS_JAWT

Whether this platform supports the JAWT library.

#### MATH_LIBRARY_NAME

    public static final java.lang.String MATH_LIBRARY_NAME

Canonical name of this platform's math library.

#### C_LIBRARY_NAME

    public static final java.lang.String C_LIBRARY_NAME

Canonical name of this platform's C runtime library.

#### HAS_DLL_CALLBACKS

    public static final boolean HAS_DLL_CALLBACKS

Whether in-DLL callbacks are supported.

#### RESOURCE_PREFIX

    public static final java.lang.String RESOURCE_PREFIX

Canonical resource prefix for the current platform. This value is used to load bundled native libraries from the class path.

#### ARCH

    public static final java.lang.String ARCH

Current platform architecture.

### Method Detail

#### getOSType

    public static final int getOSType()

#### isMac

    public static final boolean isMac()

#### isAndroid

    public static final boolean isAndroid()

#### isLinux

    public static final boolean isLinux()

#### isAIX

    public static final boolean isAIX()

#### isAix

    public static final boolean isAix()

Deprecated.

#### isWindowsCE

    public static final boolean isWindowsCE()

#### isWindows

    public static final boolean isWindows()

Returns true for any windows variant.

#### isSolaris

    public static final boolean isSolaris()

#### isFreeBSD

    public static final boolean isFreeBSD()

#### isOpenBSD

    public static final boolean isOpenBSD()

#### isNetBSD

    public static final boolean isNetBSD()

#### isGNU

    public static final boolean isGNU()

#### iskFreeBSD

    public static final boolean iskFreeBSD()

#### isX11

    public static final boolean isX11()

#### hasRuntimeExec

    public static final boolean hasRuntimeExec()

#### is64Bit

    public static final boolean is64Bit()

#### isIntel

    public static final boolean isIntel()

#### isPPC

    public static final boolean isPPC()

#### isARM

    public static final boolean isARM()

#### isSPARC

    public static final boolean isSPARC()

#### getCanonicalArchitecture

    static java.lang.String getCanonicalArchitecture(java.lang.String arch,
                                                     boolean softfloat)

#### getNativeLibraryResourcePrefix

    static java.lang.String getNativeLibraryResourcePrefix()

Generate a canonical String prefix based on the current OS type/arch/name.

#### getNativeLibraryResourcePrefix

    static java.lang.String getNativeLibraryResourcePrefix(int osType,
                                                           java.lang.String arch,
                                                           java.lang.String name)

Generate a canonical String prefix based on the given OS type/arch/name.

Parameters:
  `osType` - from `getOSType()`
  `arch` - from `os.arch` System property
  `name` - from `os.name` System property

#### getNativeLibraryResourcePrefix

    static java.lang.String getNativeLibraryResourcePrefix(int osType,
                                                           java.lang.String arch,
                                                           java.lang.String name,
                                                           boolean isSoftfloat)

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.